Configuring JBuilder 7, 8 or 9 to use Ant 1.5.x for building your project

Abstract: Configuring JBuilder 7, 8 or 9 to use Ant 1.5.x for building your project

1. First, setup a new library for Ant 1.5.x. Use Tools | Configure Libraries to create a new library for Ant 1.5.x. Here are the JARs that you need:

Class:

ant.jar (found where Ant 1.5.x is installed)
optional.jar (may be found where Ant 1.5.x is installed)
jbuilder.jar (found in Jbuilder7/lib)

Required Libraries:

Xerces (found in Jbuilder/lib)

2. Open the project that you are working on.

3. Project | Project Properties | Build | Ant | Add... | Select "" (e.g. Ant 1.5.x)

4. *Important* JBuilder uses whatever Ant library is FIRST in the list when you build your project. For example, if I want JBuilder to use Ant 1.5.x, then I select it and use the "Move up" button to place it at the top.

5. Add the build.xml to the project

6. Right-click the build.xml, choose Properties | Ant | & choose "Verbose"

7a. If I check "Use Borland Java compiler," JBuilder uses bmj for compilation.

7b. If "Use Borland Java compiler" is unchecked it uses javac